Std Edit: Difference between revisions

From FreeCAD Documentation
mNo edit summary
m (added Limitation)
Line 37: Line 37:
* The functionality available in edit mode depends on the object type.
* The functionality available in edit mode depends on the object type.
* Edit mode can also be activated by double-clicking an object in the [[Tree_view|Tree view]].
* Edit mode can also be activated by double-clicking an object in the [[Tree_view|Tree view]].

==Limitations==

* Some toolbars/function will grey-out (become inactive) on the user interface when edit mode is enabled.
*: The solution is to press the {{Button|Close}} button to exit 'edit mode' to reactivate/access those functions.


==Scripting== <!--T:6-->
==Scripting== <!--T:6-->

Revision as of 12:51, 11 October 2020

Std Edit

Menu location
Edit → Toggle Edit mode
Workbenches
All
Default shortcut
None
Introduced in version
-
See also
None

Description

The Std Edit command activates or deactivates an object's edit mode.

Usage

  1. If no object is in edit mode: select a single object.
  2. Select the Edit → Toggle Edit mode option from the menu.
  3. Either the edit mode of the selected object is activated or the existing edit mode deactivated.

Notes

  • Not all object types have an edit mode.
  • The functionality available in edit mode depends on the object type.
  • Edit mode can also be activated by double-clicking an object in the Tree view.

Limitations

  • Some toolbars/function will grey-out (become inactive) on the user interface when edit mode is enabled.
    The solution is to press the Close button to exit 'edit mode' to reactivate/access those functions.

Scripting

See also: FreeCAD Scripting Basics.

To activate an object's edit mode use the setEdit method of the document object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.setEdit("myObjectName",0)

To deactivate an object's edit mode use the resetEdit method of the document object.

import FreeCADGui

FreeCADGui.ActiveDocument.resetEdit()